cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Getting coordinate system from assembled components

Highlighted
Newbie

Getting coordinate system from assembled components

Hi all, anybody knows how to get the assembly coordinate system used to
assembly a part? I have the assembly handle (ProSolid object) and the
ProAsmcomp handle for the part assembled. The part is assembled using a
coordinate system and i need to get the name of it. Any ideas???
4 REPLIES 4

Re: Getting coordinate system from assembled components

Sergio,

I'm not sure what you are asking but try this.

ProCsysToGeomitem(csys, geomitem)
ProModelitemNameGet ((ProModelitem) geomitem, name)

Bob

Robert A. Monat
Jerand Technical Services, Inc.
http://www.jerand.com
Phone: 317-875-6087 FAX: 317-875-6612 Tollfree(US)888-4JERAND


sergio.larrubia@es.abb.com wrote:

>Hi all, anybody knows how to get the assembly coordinate system used to
>assembly a part? I have the assembly handle (ProSolid object) and the
>ProAsmcomp handle for the part assembled. The part is assembled using a
>coordinate system and i need to get the name of it. Any ideas???
>
>
>
>
>---
>
>You are currently subscribed to toolkits.
>To unsubscribe send a blank e-mail to -.
>
>For assistance, email us at - or find other contacts at www.ptcuser.org/org/contacts.html.
>
>PTC/USER and the PTC/USER logo are registered trademarks of PTC/USER, Inc.
>Pro/ENGINEER is a registered trademark of PTC.
>
>Message authors are solely responsible for the content of their posts.
>
>
>

--

RE: Getting coordinate system from assembled components

Sergio,
Call the function ProAsmcompConstraintsGet. You can then iterate
through the constraints. Call ProAsmcompconstraintTypeGet until you
find PRO_ASM_CSYS. Then call ProAsmcompconstraintAsmreferenceGet to get
the assembly reference. This will give you a ProSelection object. You
can then call ProSelectionModelitemGet. Then call ProModelitemNameGet.

Keep in mind that I haven't ever followed this bunny trail but I think
it will get you moving in the right direction. Let us all know how it
goes if you accomplish your task.

Patrick Williams
Sr. Application Engineer
Steelcase Inc.

RE: Getting coordinate system from assembled components

Hi Patrick thanks for your email. I look for "ProAsmcompConstraintsGet"
function in toolkit user guide but i can´t find it. I'm working with
toolkit for ProE 2001 maybe your solution is for Wildfire isn't it?
I think that i need to find in the element tree the constrain using
ProElement* functions, do you think it possible to solve the problem using
some kinds of that functions?



Message from "Williams, Patrick S."
<->@lists.ptcuser.org received on 18/10/2006 16:16
|------------+--------------+---->
| | | |
| | 18/10/2006 | |
| | 16:16 | |
| | | |
| | | |
|------------+--------------+---->

RE: Getting coordinate system from assembled components

Hello all,
Sergio,
Here is a roadmap for Pro2001:
-get ProAsmcomp which is ProFeature
-get elemtree with ProFeatureElemtreeCreate
-visit elemtree with ProElemtreeElementVisit
Since you are dealing with very simplistic case of assembly constraints
(asm csys/part csys) you are going to have only one
PRO_E_COMPONENT_ASSEM_CONSTR_REF element in your elemtree.
-in your visit action function get an element id with ProElementIdGet
-as soon as you have an id match with PRO_E_COMPONENT_ASSEM_CONSTR_REF
get an element value with ProElementValueGet
-value is going to be ProSelection, use ProSelectionCopy to copy it to
the ProAppdata argument.
-stop visiting and get ProModelitem from ProSelection and use
ProModelitemNameGet.

HIH.
Feliks.
Announcements